apiVersion: apps/v1
kind: Deployment
metadata:
  name: mariadb
  annotations: {}
  labels:
    app.kubernetes.io/part-of: microservice-app
spec:
  selector:
    matchLabels:
      app: mariadb
  replicas: 1
  template:
    metadata:
      labels:
        app: mariadb
        app.kubernetes.io/part-of: microservice-app
    spec:
      containers:
        - name: container
          image: registry.redhat.io/rhel9/mariadb-105
          imagePullPolicy: Always
          ports:
            - containerPort: 3306
              protocol: TCP
          env:
            - name: MYSQL_ROOT_PASSWORD
              value: root
            - name: DYNACONF_MYSQL__host
              value: 'mariadb'
            - name: DYNACONF_MYSQL__user
              value: 'root'
            - name: DYNACONF_MYSQL__password
              value: 'root'
          volumeMounts:
          - mountPath: /var/lib/mysql
            name: sql-data
      volumes:
        - name: sql-data
          persistentVolumeClaim:
            claimName: sql-data
      imagePullSecrets: []
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
  paused: false
